if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "MAGE" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Scorch"], _, C["Scorch"] = GetSpellInfo(2948)
--~ C["Hammer of the Righteous"], _, C["Hammer of the Righteous Icon"] = GetSpellInfo(53595)
--~ C["Judgement of Wisdom"], _, C["Judgement of Wisdom Icon"] = GetSpellInfo(53408)
--~ C["Shield of Righteousness"], _, C["Shield of Righteousness Icon"] = GetSpellInfo(61411)
--~ C["Consecration"], _, C["Consecration Icon"] = GetSpellInfo(48819)

---------------------------
-- Paladin Priorities
---------------------------

function PriorityQueue:GetMagePriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Fire"] =  L["Fire"]
	self.presets.priorities.list["Fire"] = { "s", "none",  "none",  "none", "none", "none", "none", "none", "none", "none" }
	self:SetPresetPriority("Fire")
end

PriorityQueue.priorityTable.name["s"] = C["Scorch"]
PriorityQueue.priorityTable.icon["s"] = C["Scorch Icon"]
PriorityQueue.priorityTable.test["s"] = 
	function () 
		if not PriorityQueue:SpellAvailable(C["Scorch"]) then 
			return false
		end
		local sdebuff, sduration = PriorityQueue:GetDebuffInfo(C["Scorch"])
		return not sdebuff or ( sduration < self:GetExpectedCastTime(1.5) )
	end 

--~ PriorityQueue.priorityTable.name["hotr"] = C["Hammer of the Righteous"]
--~ PriorityQueue.priorityTable.icon["hotr"] = C["Hammer of the Righteous Icon"]
--~ PriorityQueue.priorityTable.test["hotr"] = 
--~ 	function () 
--~ 		return PriorityQueue:SpellAvailable(C["Hammer of the Righteous"])
--~ 	end 

--~ PriorityQueue.priorityTable.name["jow"] = C["Judgement of Wisdom"]
--~ PriorityQueue.priorityTable.icon["jow"] = C["Judgement of Wisdom Icon"]
--~ PriorityQueue.priorityTable.test["jow"] = 
--~ 	function () 
--~ 		return PriorityQueue:SpellAvailable(C["Judgement of Wisdom"])
--~ 	end 

--~ PriorityQueue.priorityTable.name["sor"] = C["Shield of Righteousness"]
--~ PriorityQueue.priorityTable.icon["sor"] = C["Shield of Righteousness Icon"]
--~ PriorityQueue.priorityTable.test["sor"] =  
--~ 	function () 
--~ 		return PriorityQueue:SpellAvailable(C["Shield of Righteousness"])
--~ 	end 
--~ 	
--~ PriorityQueue.priorityTable.name["con"] = C["Consecration"]
--~ PriorityQueue.priorityTable.icon["con"] = C["Consecration Icon"]
--~ PriorityQueue.priorityTable.test["con"] = 
--~ 	function () 
--~ 		return PriorityQueue:SpellAvailable(C["Consecration"])
--~ 	end
